<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Auth;
use Illuminate\Http\Request;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function login(Request $request)
    {
        $input = $request->all();

        $this->validate($request, [
            'email'    => 'required|email',
            'password' => 'required|min:8',
        ]);

        if (auth()->attempt(['email' => $request->email, 'password' => $request->password], $request->get('remember'))) {
            if (auth()->user()->branch_id != null) {
                \Session::put('branch_id',auth()->user()->branch_id);
                return redirect('admin');
            } else {
                Auth::logout();
                // flash('Invalid Credentials.')->error();
                // session()->flash('error','Invalid Credentials.');
                toastr()->info('Kindly contact to administrator.');
                return redirect()->back();
            }
        } else {
            \Session::forget('branch_id');
            // flash('Email-Address And Password Are Wrong.')->error();
            // session()->flash('errors','Email-Address And Password Are Wrong.');
            toastr()->error('Email-Address And Password Are Wrong.');
            return redirect()->back();
        }

    }
}
