<?php

namespace App\Http\Requests;

use App\Models\CashExpense;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateCashExpenseRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('cash_expense_edit');
    }

    public function rules()
    {
        return [
            'date' => [
                'required',
                // 'date_format:' . config('panel.date_format'),
            ],
            'invoice_no' => [
                // 'string',
                'max:20',
                'required',
                // 'unique:cash_expenses,invoice_no',
                // 'distinct',
            ],
            'suplier' => [
                'nullable',
                'integer',
            ],
            'bank_account' => [
                'nullable',
                'integer',
            ],
            'sub_category' => [
                'required',
                'integer',
            ],
            'cash_credit' => [
                'required',
            ],
            'reference' => [
                'nullable',
            ],
            'vat_category' => [
                'nullable',
            ],

            'attachment' => 'nullable|image|mimes:jpg,jpeg,png,svg',

            'total_amount' => [
                'required',
            ],
        ];
    }
}
