<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Gate;

class UpdateFuelInfoRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return Gate::allows('fuel_info_edit');
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
             'fuel_id' => [
                'required',
            ],
            'branch_id' => [
                'required',
            ],
            'cost_price' => [
                'required',
                'numeric',

            ],
            'selling_price' => [
                'required',
                'numeric',
            ],
            'status' => [
                'nullable',
                'boolean'
            ],
            'effective_from' => [
                'required'
            ],
        ];
    }
}
