<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\Auditable;

class BankAccount extends Model
{
    use SoftDeletes;
    use Auditable;
    use HasFactory;

    protected $fillable = [
        'title',
        'account_no',
        'balance',
        'contact_person',
        'phone',
        'detail',
        'deleted_at',
    ];

    public function cashExpense()
    {
        return $this->hasMany(\App\Models\CashExpense::class,'bank_account_id');
    }


}
