@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.account.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.driveway-accounts.index')}}">{{trans('cruds.account.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.driveway-accounts.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.account.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.date') }}
                                </th>
                                <td>
                                    {{ date('d/m/Y',strtotime($account->date)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.account_name') }}
                                </th>
                                <td>
                                    {{ strtoupper($account->account_info->title) ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.amount') }}
                                </th>
                                <td>
                                    {{ number_format($account->amount,2) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.account.fields.remarks') }}
                                </th>
                                <td>
                                    {{ strtoupper($account->remarks) }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
