@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.financialCategory.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.financial-categories.index')}}">{{trans('cruds.financialCategory.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.financial-categories.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.financialCategory.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.financialCategory.fields.header') }}
                                </th>
                                <td>
                                    {{ $financialCategory->header->header_name }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.financialCategory.fields.code') }}
                                </th>
                                <td>
                                    {{ $financialCategory->code }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.financialCategory.fields.title') }}
                                </th>
                                <td>
                                    {{ $financialCategory->title }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.financialCategory.fields.description') }}
                                </th>
                                <td>
                                    {{ $financialCategory->remarks}}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.vat.fields.status') }}
                                </th>
                                <td>
                                    {!! $financialCategory->status ? '<span class="badge bg-inverse-success">Active</span>' : '<span class="badge bg-inverse-danger">Inactive</span>' !!}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
