@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.fuel.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.fuel-infos.index')}}">{{trans('cruds.fuelInfo.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.fuel-infos.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.fuelInfo.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.fuel-infos.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelInfo.fuel_name') }}
                                </th>
                                <td>
                                    {{ $fuelInfo->fuel->fuel_name ?? '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelInfo.branch') }}
                                </th>
                                <td>
                                    {{ $fuelInfo->siteRegister->name ?? ''}}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelInfo.cost_price') }}
                                </th>
                                <td>
                                    {{ $fuelInfo->cost_price }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelInfo.selling_price') }}
                                </th>
                                <td>
                                    {{ $fuelInfo->selling_price }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelInfo.eff_from') }}
                                </th>
                                <td>
                                    {{ date('d-m-Y',strtotime($fuelInfo->effective_from)) }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelInfo.eff_to') }}
                                </th>
                                <td>
                                    {{ $fuelInfo->effective_to != null ? date('d-m-Y',strtotime($fuelInfo->effective_to)) : '' }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.fuelInfo.status') }}
                                </th>
                                <td>
                                    {{ $fuelInfo->status ? 'Active' : 'Inactive' }}
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.fuel-infos.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
