@extends('layouts.admin')

@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{ trans('global.messenger') }}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{ trans('global.message') }}</li>
                    </ul>
                </div>
                {{-- @can('user_create')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.users.create') }}" class="btn add-btn"><i class="fa fa-plus"></i> {{ trans('global.add') }} {{ trans('cruds.user.title_singular') }}</a>
                    </div>
                @endcan --}}
            </div>
        </div>
        <div class="content">
            <div class="row">
                <p class="col-lg-12">
                    @yield('title')
                </p>
            </div>
            <div class="row">
                <div class="col-lg-3">
                    <p>
                        <a href="{{ route('admin.messenger.createTopic') }}" class="btn btn-primary btn-block">
                            {{ trans('global.new_message') }}
                        </a>
                    </p>
                    <div class="list-group">
                        <a href="{{ route('admin.messenger.index') }}" class="list-group-item">
                            {{ trans('global.all_messages') }}
                        </a>
                        <a href="{{ route('admin.messenger.showInbox') }}" class="list-group-item">
                            @if($unreads['inbox'] > 0)
                                <strong>
                                    {{ trans('global.inbox') }}
                                    ({{ $unreads['inbox'] }})
                                </strong>
                            @else
                                {{ trans('global.inbox') }}
                            @endif
                        </a>
                        <a href="{{ route('admin.messenger.showOutbox') }}" class="list-group-item">
                            @if($unreads['outbox'] > 0)
                                <strong>
                                    {{ trans('global.outbox') }}
                                    ({{ $unreads['outbox'] }})
                                </strong>
                            @else
                                {{ trans('global.outbox') }}
                            @endif
                        </a>
                    </div>
                </div>
                <div class="col-lg-9">
                    @yield('messenger-content')
                </div>
            </div>
        </div>
    </div>
</div>
@stop
