@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.pump.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('cruds.pump.title')}}</li>
                    </ul>
                </div>
                @can('pump_create')
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.pumps.create') }}" class="btn add-btn"><i class="fa fa-plus"></i> {{ trans('global.add') }} {{ trans('cruds.pump.title_singular') }}</a>
                    </div>
                @endcan
            </div>
        </div>
        {{-- @can('pump_create')
            <div style="margin-bottom: 10px;" class="row">
                <div class="col-lg-12 text-right">
                    <a class="btn btn-info" href="{{ route('admin.pumps.create') }}"><i class="fa fa-plus"></i>
                        {{ trans('global.add') }} {{ trans('cruds.pump.title_singular') }}
                    </a>
                    <button class="btn btn-warning" data-toggle="modal" data-target="#csvImportModal">
                        {{ trans('global.app_csvImport') }}
                    </button>
                    @include('csvImport.import', ['model' => 'Pump', 'route' => 'admin.pumps.import','title' => trans('cruds.pump.title')])
                </div>
            </div>
        @endcan --}}
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.pump.title_singular') }} {{ trans('global.list') }}
            </div>

            <div class="card-body">
                <div class="table-responsive">
                    <table class=" table table-bordered table-hover datatable datatable-Pump">
                        <thead>
                            <tr>
                                <th width="10">

                                </th>
                                <th>
                                    {{ trans('cruds.pump.fields.id') }}
                                </th>
                                <th>
                                    {{ trans('cruds.pump.fields.pump') }}
                                </th>
                                <th>
                                    {{ Str::limit(trans('cruds.pump.fields.detail'),20) }}
                                </th>
                                <th>
                                    &nbsp;
                                </th>
                            </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
 $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
  @can('pump_delete')
    let deleteButton = {
    text: '{{ trans('global.datatables.delete') }}',
    url: "{{ route('admin.pumps.massDestroy') }}",
    className: 'bg-inverse-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).attr('id');
      });
      console.log(ids);
      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return;
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton);
@endcan
let dtOverrideGlobals = {

    buttons: dtButtons,
    processing: true,
    serverSide: true,
    retrieve: true,
    aaSorting: [],
    ajax: "{{ route('admin.pumps.index') }}",
    columns: [
      { data: 'placeholder', name: 'placeholder' },
      {data: 'DT_RowIndex', name: 'DT_RowIndex'},
     { data: 'pump', name: 'pump' },
     { data: 'location', name: 'location' },
     { data: 'actions', name: '{{ trans('global.actions') }}' }
    ],
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  };
  let table = $('.datatable-Pump').DataTable(dtOverrideGlobals);
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });

});

</script>
@endsection
