@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.report.bankingShop')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('cruds.report.bankingShop') }}</li>
                    </ul>
                </div>
                {{-- @can('banking_shop_edit') --}}
                    <div class="col-auto float-right ml-auto">
                        <a href="{{ route('admin.home') }}" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                    </div>
                {{-- @endcan --}}
            </div>
        </div>
        <div class="card table-responsive">
            <div class="card-header">
                {{ trans('cruds.report.bankingShop') }}
            </div>
            <div class="card-body">
                <div class="row m-b-20">
                    <div class="col-lg-9">
                        <form method="GET" action="{{route('admin.reports.bankingShop')}}">
                            <div class="row filter-row">
                                <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text" name="from_date">
                                        </div>
                                        <label class="focus-label">From</label>
                                    </div>
                                </div>
                               <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text" name="to_date">
                                        </div>
                                        <label class="focus-label">To</label>
                                    </div>
                                </div>
                                <div class="col-sm-4 col-md-3 col-lg-3">
                                    <div class="form-group">
                                        <button class="btn btn-success" id="btnSearch">{{ trans('global.search') }}</button>
                                        <a href="{{route('admin.reports.bankingShop')}}" class="btn btn-info">{{ trans('global.reset') }}</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-lg-3 text-right">
                        <a href="" class="btn btn-outline-success">Export Excel</a>
                    </div>
                </div>
                <table class="table table-striped table-hover report-table table-bordered">
                    <thead>
                        <th>
                            {{ trans('cruds.report.date') }}
                        </th>
                        @foreach ($sub_category as $sub_cat)
                            <th>
                                {{$sub_cat->title}}
                            </th>
                        @endforeach
                        <th>
                            {{ trans('cruds.report.balance') }}
                        </th>
                    </thead>
                    <tbody>
                        @if (count($deposit_date) == 0)
                            <tr></tr>
                        @endif
                        @foreach ($deposit_date as $key => $dd)
                            @php
                                $dd = date('Y-d-m',strtotime($dd));
                                $total = 0;
                                $bank_amount = 0;
                            @endphp
                            <tr>
                                <td>{{date('d/m/Y',strtotime($dd))}}</td>
                                @foreach ($sub_category as $sub_cat)
                                <td>
                                    @foreach ($deposit_shop->where('date',$dd) as $ds)
                                        @if (($dd == $ds->date) && ($sub_cat->id == $ds->sub_category_id))
                                            {{number_format($ds->amount,2)}}
                                            @if ($ds->bank_statement_id != null && $ds->status == 1)
                                                @if ($ds->bank_statement != null)
                                                    <br><span class="badge bg-inverse-danger">Credit : {{number_format($ds->bank_statement->amount,2)}}</span>
                                                    @php
                                                        $bank_amount += $ds->bank_statement->amount;
                                                    @endphp
                                                @endif
                                            @endif

                                            @php
                                                $total += $ds->amount;
                                            @endphp
                                        @endif
                                    @endforeach
                                </td>
                                @endforeach
                                <td>{{number_format($bank_amount - $total,2)}}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@endsection
