@extends('layouts.admin')
@section('content')
<div class="card table-responsive">
    <div class="card-header">
        {{ trans('cruds.paymentAdvice.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="row">
            <div class="col-lg-4">
                <label for="search-date">Choose Date</label>
                <div class="input-group">
                    <input type="text" placeholder="Start Date" id="fromDate" class="form-control date">
                    <input type="text" placeholder="End Date" id="toDate" class="form-control date">
                    <div class="input-group-append">
                        <button class="btn btn-outline-info" id="dateSearch" type="button">Search</button>
                        <a class="btn btn-outline-secondary" href="{{ route('admin.reports.paymentAdvice') }}">Reset</a>
                      </div>
                </div>
            </div>
        </div>
        <div class="d-flex flex-row-reverse m-3">
            <div class="">
                <a href="" class="btn btn-outline-success">Export Excel</a>
            </div>
        </div>
        <table class=" table table-bordered table-hover datatable datatable-paymentAdvice">
            <thead>
                <tr>
                    <th>
                        {{ trans('cruds.paymentAdvice.fields.date') }}
                    </th>
                    <th>
                        {{ trans('cruds.paymentAdvice.fields.d_note_no') }}
                    </th>
                    <th>
                        {{ trans('cruds.paymentAdvice.fields.product') }}
                    </th>
                    <th>
                        {{ trans('cruds.paymentAdvice.fields.r_quantity') }}
                    </th>
                    <th>
                        {{ trans('cruds.paymentAdvice.fields.price') }}
                    </th>
                    <th>
                        {{ trans('cruds.paymentAdvice.fields.amount') }}
                    </th>
                </tr>
            </thead>
            <tbody>

            </tbody>
            <tfoot>
                <tr>
                    <td colspan="4" style="text-align: right"><strong>TOTAL</strong></td>
                    <td><strong>{{$totalAmount}}</strong></td>
                    <td></td>
                </tr>
            </tfoot>
        </table>
    </div>
</div>
@endsection

@section('scripts')
@parent
<script>
    $(function () {
        let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)

        let dtOverrideGlobals = {
            buttons: dtButtons,
            processing: true,
            serverSide: true,
            retrieve: true,
            aaSorting: [],
            ajax: {
                url: "{{ route('admin.reports.paymentAdvice') }}",
                data: function(d){
                        d.fromDate = $('#fromDate').val(),
                        d.toDate = $('#toDate').val()
                    }
            },
            columnDefs: [{
            orderable: false,
            className: '',
            targets: 0
            }],
            columns: [
                // { data: 'placeholder', name: 'placeholder' },
                { data: 'date', name: 'date' },
                { data: 'd_note_no', name: 'd_note_no' },
                { data: 'product', name: 'product' },
                { data: 'r_quantity', name: 'r_quantity' },
                { data: 'price', name: 'price' },
                { data: 'amount', name: 'amount' },
            ],
            buttons: [
                {
                    extend: 'csv',
                    className: 'btn-default',
                    text: '{{trans('global.datatables.csv')}}',
                    exportOptions: {
                    columns: ':visible'
                    }
                },
                {
                    extend: 'excel',
                    className: 'btn-default',
                    text: '{{trans('global.datatables.excel')}}',
                    exportOptions: {
                    columns: ':visible'
                    }
                },
                {
                    extend: 'pdf',
                    className: 'btn-default',
                    text: '{{trans('global.datatables.pdf')}}',
                    exportOptions: {
                    columns: ':visible'
                    }
                },
                {
                    extend: 'print',
                    className: 'btn-default',
                    text: '{{trans('global.datatables.print')}}',
                    exportOptions: {
                    columns: ':visible'
                    }
                },

            ],
            orderCellsTop: true,
            order: [[ 1, 'ASC' ]],
            pageLength: 100,
        };

        let table = $('.datatable-paymentAdvice').DataTable(dtOverrideGlobals);
        $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
        $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
        });

        $('#dateSearch').click(function (e) {
        e.preventDefault();
        table.draw();

        });

    });
</script>

@endsection
