@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.report.wetStock')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a>
                        </li>
                        <li class="breadcrumb-item active">{{trans('cruds.report.wetStock') }}</li>
                    </ul>
                </div>
                {{-- @can('wet_stock_edit') --}}
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" class="btn add-btn"> <i
                            class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
                {{-- @endcan --}}
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.report.wetStock') }}
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-12">
                        <table class="table table-striped table-hover report-table table-bordered">
                            <thead>
                                <tr>
                                    <th class="text-left">
                                        {{ trans('cruds.fuelStock.fields.fuel_type') }}
                                    </th>
                                    <th>
                                        &nbsp;
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (count($fuels) != 0)
                                    @foreach ($fuels as $key => $value)
                                        <tr>
                                            <td class="text-left">
                                                {{$value}}
                                            </td>
                                            <td class="text-left">
                                                <a href="{{ route('admin.reports.wetStockFuel',$key) }}"
                                                    class="btn btn-xs btn-primary"><i class="fa fa-eye"></i></a>
                                            </td>
                                        </tr>
                                    @endforeach
                                @else
                                <tr>
                                    <td colspan="2" class="text-center">
                                        Record not avilable
                                    </td>
                                </tr>
                                @endif
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="card table-responsive">
            <div class="card-header">
                {{ trans('cruds.fuelStock.fields.total_wet_stock') }}
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-9">
                        <form method="GET" action="{{route('admin.reports.wetStock')}}">
                            <div class="row filter-row">
                                <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text"
                                                name="from_date">
                                        </div>
                                        <label class="focus-label">From</label>
                                    </div>
                                </div>
                                <div class="col-sm-6 col-md-4 col-lg-4">
                                    <div class="form-group form-focus">
                                        <div class="cal-icon">
                                            <input class="form-control floating datetimepicker" type="text"
                                                name="to_date">
                                        </div>
                                        <label class="focus-label">To</label>
                                    </div>
                                </div>
                                <div class="col-sm-4 col-md-3 col-lg-3">
                                    <div class="form-group">
                                        <button class="btn btn-success"
                                            id="btnSearch">{{ trans('global.search') }}</button>
                                        <a href="{{route('admin.reports.wetStock')}}"
                                            class="btn btn-info">{{ trans('global.reset') }}</a>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="col-lg-3 text-right">
                        <a href="" class="btn btn-outline-success">Export Excel</a>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-12 table-responsive">
                        <h6 style="text-align: center; text-transform:uppercase;">{{ trans('global.total') }}</h6>
                        <table class="table table-striped table-hover report-table table-bordered">
                            <thead>
                                <tr>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.date') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.opening_stock') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.purchase') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.report.pumpReading') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.report.pec') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.calculated_stock') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.report.dips') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.report.waterlevel') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.varience') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.report.varienceper') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.cumulativeVarience') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.cumulativeSale') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.fuelStock.fields.cumulativeSaleLtr') }}
                                    </th>
                                    <th>
                                        {{ trans('cruds.report.pecvspump') }}
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @php
                                    $last_varience_ltr = 0;
                                    $last_pec = 0;
                                @endphp
                                @foreach ($date as $dd)
                                    <tr>
                                        <td>
                                            {{$dd}}
                                        </td>
                                        {{-- Opening stock --}}
                                        <td>
                                            @php
                                                $opening_stock = $fuel_stock->where('date',$dd)->sum('opening_stock');
                                            @endphp
                                            @if ($opening_stock != 0)
                                                {{number_format($opening_stock)}}
                                            @endif
                                        </td>
                                        {{-- Purchase --}}
                                        <td>
                                            @php
                                                $purchase = $fuel_stock->where('date',$dd)->sum('purchase');
                                            @endphp
                                            @if ($purchase != 0)
                                                {{number_format($purchase)}}
                                            @endif
                                        </td>
                                        {{-- Sales Pump Reading --}}
                                        <td>
                                            @php
                                                $pump_reading = $drivewaysheet->where('date',$dd)->sum('stock');
                                            @endphp
                                            @if ($pump_reading != 0)
                                                {{number_format($pump_reading,2)}}
                                            @endif
                                        </td>
                                        {{-- PEC --}}
                                        <td>
                                            @php
                                                $pec = $fuel_stock->where('date',$dd)->sum('sale');
                                            @endphp
                                            @if ($pec != 0)
                                                {{number_format($pec,2)}}
                                            @endif
                                        </td>
                                        {{-- Calculated Stock --}}
                                        <td>
                                            @php
                                                $calculated_stock = $opening_stock + $purchase - $pec;
                                            @endphp
                                            @if ($calculated_stock != 0)
                                                {{number_format($calculated_stock)}}
                                            @endif
                                        </td>
                                        {{-- Physical Dips --}}
                                        <td>
                                            @php
                                                $physical_dips = $fuel_stock->where('date',$dd)->sum('closing_dips');
                                            @endphp
                                            @if ($physical_dips != 0)
                                                {{number_format($physical_dips,2)}}
                                            @endif
                                        </td>
                                        {{-- Water level tank --}}
                                        <td>
                                            @php
                                                $water_level = $fuel_stock->where('date',$dd)->sum('water_level');
                                            @endphp
                                            @if ($water_level != 0)
                                                {{number_format($water_level,2)}}
                                            @endif
                                        </td>
                                        {{-- Variance in ltr --}}
                                        <td>
                                            @php
                                                $varience_ltr = $physical_dips - $calculated_stock;
                                            @endphp
                                            @if ($varience_ltr != 0)
                                                {{number_format($varience_ltr)}}
                                            @endif
                                        </td>
                                        {{-- Variance in % --}}
                                        <td>
                                            @php
                                                $varience_per = ($varience_ltr * 100)/$pec;
                                            @endphp
                                            @if ($varience_per != 0)
                                                {{number_format($varience_per,2)}}
                                            @endif
                                        </td>
                                        {{-- Cumulative Variance in ltr --}}
                                        <td>
                                            @php
                                                $cum_varience_ltr = $last_varience_ltr + $varience_ltr;
                                            @endphp
                                            @if ($cum_varience_ltr != 0)
                                                {{number_format($cum_varience_ltr)}}
                                            @endif
                                        </td>
                                        {{-- Cumulative Sales --}}
                                        <td>
                                            @php
                                                $cum_pec_sale = $last_pec + $pec;
                                            @endphp
                                            @if ($cum_pec_sale != 0)
                                                {{number_format($cum_pec_sale)}}
                                            @endif
                                        </td>
                                        {{-- Cumulative Variance in % --}}
                                        <td>
                                            @php
                                                $cum_sal_varience_per = ($cum_varience_ltr * 100) / $cum_pec_sale;
                                            @endphp
                                            @if ($cum_sal_varience_per != 0)
                                                {{number_format($cum_sal_varience_per,2)}}
                                            @endif
                                        </td>
                                        {{-- PEC vs PUMP Variance --}}
                                        <td>
                                            @php
                                                $pec_vs_pump_reading = $pec - $pump_reading
                                            @endphp
                                            @if ($pec_vs_pump_reading != 0)
                                                {{number_format($pec_vs_pump_reading,2)}}
                                            @endif
                                        </td>
                                    </tr>
                                    @php
                                        $last_varience_ltr += $varience_ltr;
                                        $last_pec += $pec;
                                    @endphp
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
