@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.setting.pwa.title')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.pwa.setting')}}">{{trans('cruds.setting.pwa.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.add')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" title="Back" class="btn add-btn"> <i class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('cruds.setting.pwa.title') }}
            </div>

            <div class="card-body">
                <!-- Start Contentbar -->
                <div class="contentbar">
                    <div class="row">
                        <div class="col-lg-12">
                            <!-- Nav tabs -->
                            <ul id="myTabs" class="nav nav-tabs" role="tablist">
                                <li class="nav-item"><a class="nav-link active" href="#home" aria-controls="home" role="tab"
                                        data-toggle="tab">{{ __("App Setting")}}</a></li>
                                <li class="nav-item"><a class="nav-link" href="#profile" aria-controls="profile" role="tab"
                                        data-toggle="tab">{{ __("Update Icons")}}</a></li>
                            </ul>
                            <div class="card">
                                <div class="card-body">
                                    <!-- Tab panes -->
                                    <div class="tab-content" id="defaultTabContentLine">
                                        <div role="tabpanel" class="tab-pane active" id="home">
                                            <div class="row">
                                                <div class="col-md-8 col-sm-12">
                                                    <div class="card m-b-20 text-white bg-success">
                                                        <div class="card-body">
                                                            <i class="fa fa-info-circle"></i>
                                                            {{ __("Progessive Web App Requirements")}}
                                                            <ul>
                                                                <li><b>{{ __("HTTPS")}}</b>{{ __(" must required in your domain (for enable contact your host provider for SSL configuration).")}}
                                                                </li>
                                                                <li><b>{{ __("Start URL")}}</b>
                                                                    {{ __("you put must be correct in below settings.")}}</li>
                                                                <li><b>{{ __("All icons size")}}</b>{{ __(" required and to be updated in Icon Settings.")}}
                                                                </li>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                    <form action="{{route('admin.pwa.setting.update')}}" method="POST">
                                                        @csrf
                                                        <div class="form-group">
                                                            <label>{{ __("Enable PWA:")}} </label>
                                                            <br>
                                                            <label class="custom-switch">
                                                                <input id="is_pwa" type="checkbox" name="is_pwa"
                                                                    {{ isset($pwa['is_pwa']) && $pwa['is_pwa']  == 1 ? 'checked' : ''}}
                                                                    class="custom-control-input">
                                                                <label class="custom-control-label" title="Enable" for="is_pwa"></label>
                                                            </label>
                                                        </div>
                                                        <div class="form-group">
                                                            <label>{{ __("App Name:")}} </label>
                                                            <input disabled class="form-control" type="text" name="app_name"
                                                                value="{{ config('app.name')}}" />
                                                        </div>
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label>{{ __("Theme Color for header:")}} </label>
                                                                    <input name="theme_color" class="form-control" type="color"
                                                                        value="{{ isset($pwa['theme_color']) && $pwa['theme_color'] != null ? $pwa['theme_color'] : config('laravelpwa.manifest.theme_color')}}" />
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="form-group">
                                                                    <label for="">{{ __("Background Color:")}}</label>
                                                                    <input name="background_color" class="form-control"
                                                                        type="color"
                                                                        value="{{ isset($pwa['background_color']) && $pwa['background_color'] != null ? $pwa['background_color'] : config('laravelpwa.manifest.background_color')}}" />
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <button type="submit" class="btn btn-primary m-t-20" title="Save Changes">
                                                            </i>{{ __("Save Changes")}}
                                                        </button>
                                                    </form>
                                                </div>
                                                <div class="col-md-4 col-sm-12">
                                                    <img height="100px" src="{{ url('images/icons/pwa.jpg') }}" alt=""
                                                        class="img-responsive">
                                                </div>
                                            </div>
                                        </div>
                                        <div role="tabpanel" class="tab-pane" id="profile">
                                            <form action="{{ route('admin.pwa.icons.update') }}" method="POST" enctype="multipart/form-data">
                                                @csrf
                                                <br>
                                                <div class="row">
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="icon_48">{{ __("PWA Icon (48x48):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="icon_48" id="icon_48" class="prev-img input-file">
                                                            {{-- <label for="icon_48" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_48']) && $pwa['icon_48'] != null ? url('images/icons/'.$pwa['icon_48']) : config('laravelpwa.manifest.icons.48x48.path')}}"
                                                            alt="icon_48">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Icon (72x72):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="icon_72" id="icon_72" class="prev-img input-file">
                                                            {{-- <label for="icon_72" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_72']) && $pwa['icon_72'] != null ? url('images/icons/'.$pwa['icon_72']) : config('laravelpwa.manifest.icons.72x72.path')}}"
                                                            alt="icon_72">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Icon (96x96):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="icon_96" id="icon_96" class="prev-img input-file">
                                                            {{-- <label for="icon_96" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_96']) && $pwa['icon_96'] != null ? url('images/icons/'.$pwa['icon_96']) : config('laravelpwa.manifest.icons.96x96.path')}}"
                                                            alt="icon_96">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Icon (128x128): ")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="icon_128" id="icon_128" class="prev-img input-file">
                                                            {{-- <label for="icon_128" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_128']) && $pwa['icon_128'] != null ? url('images/icons/'.$pwa['icon_128']) : config('laravelpwa.manifest.icons.128x128.path')}}"
                                                            alt="icon_128">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Icon (144x144):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="icon_144" id="icon_144" class="prev-img input-file">
                                                            {{-- <label for="icon_144" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_144']) && $pwa['icon_144'] != null ? url('images/icons/'.$pwa['icon_144']) : config('laravelpwa.manifest.icons.144x144.path')}}"
                                                            alt="icon_144">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Icon (192x192):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                                    <input  type="file" name="icon_192" id="icon_192" class="prev-img input-file">
                                                            {{-- <label for="icon_192" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_192']) && $pwa['icon_192'] != null ? url('images/icons/'.$pwa['icon_192']) : config('laravelpwa.manifest.icons.192x192.path')}}"
                                                            alt="icon_192">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Icon (256x256):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="icon_256" id="icon_256" class="prev-img input-file">
                                                            {{-- <label for="icon_256" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_256']) && $pwa['icon_256'] != null ? url('images/icons/'.$pwa['icon_256']) : config('laravelpwa.manifest.icons.256x256.path')}}"
                                                            alt="icon_256">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Icon (512x512):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="icon_512" id="icon_512" class="prev-img input-file">
                                                            {{-- <label for="icon_512" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Preloader">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['icon_512']) && $pwa['icon_512'] != null ? url('images/icons/'.$pwa['icon_512']) : config('laravelpwa.manifest.icons.512x512.path')}}"
                                                            alt="icon_512">
                                                    </div>
                                                    <div class="col-md-12">
                                                        <button type="submit" title="Update Icons" class="pull-left btn btn-primary m-t-20">
                                                            {{ __("Update Icons")}}
                                                        </button>
                                                    </div>
                                                </div>
                                                <br>
                                                <h4 class="m-t-20">Splash Screens:</h4>
                                                <hr>
                                                <div class="row">
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display: block;" for="">{{ __("PWA Splash Screen (640x1136):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_640" id="splash_640" class="prev-img input-file">
                                                            {{-- <label for="splash_640" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_640']) && $pwa['splash_640'] != null ? url('images/icons/'.$pwa['splash_640']) : config('laravelpwa.manifest.splash.640x1136')}}"
                                                            alt="splash_640">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display: block;" for="">{{ __("PWA Splash Screen (750x1334):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_750" id="splash_750" class="prev-img input-file">
                                                            {{-- <label for="splash_750" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_750']) && $pwa['splash_750'] != null ? url('images/icons/'.$pwa['splash_750']) : config('laravelpwa.manifest.splash.750x1334')}}"
                                                            alt="splash_750">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Splash Screen (828x1792):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_828" id="splash_828" class="prev-img input-file">
                                                            {{-- <label for="splash_828" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_828']) && $pwa['splash_828'] != null ? url('images/icons/'.$pwa['splash_828']) : config('laravelpwa.manifest.splash.828x1792')}}"
                                                            alt="splash_828">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Splash Screen (1125x2436):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_1125" id="splash_1125" class="prev-img input-file">
                                                            {{-- <label for="splash_1125" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_1125']) && $pwa['splash_1125'] != null ? url('images/icons/'.$pwa['splash_1125']) : config('laravelpwa.manifest.splash.1125x2436')}}"
                                                            alt="splash_1125">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Splash Screen (1242x2208):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_1242" id="splash_1242" class="prev-img input-file">
                                                            {{-- <label for="splash_1242" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_1242']) && $pwa['splash_1242'] != null ? url('images/icons/'.$pwa['splash_1242']) : config('laravelpwa.manifest.splash.1242x2208')}}"
                                                            alt="splash_1242">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Splash Screen (1536x2048):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_1536" id="splash_1536" class="prev-img input-file">
                                                            {{-- <label for="splash_1536" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_1536']) && $pwa['splash_1536'] != null ? url('images/icons/'.$pwa['splash_1536']) : config('laravelpwa.manifest.splash.1536x2048')}}"
                                                            alt="splash_1536">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Splash Screen (1668x2224):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_166x" id="splash_166x" class="prev-img input-file">
                                                            {{-- <label for="splash_166x" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_166x']) && $pwa['splash_166x'] != null ? url('images/icons/'.$pwa['splash_166x']) : config('laravelpwa.manifest.splash.1668x2224')}}"
                                                            alt="splash_1668">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Splash Screen (1668x2388):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_2388" id="splash_2388" class="prev-img input-file">
                                                            {{-- <label for="splash_2388" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_2388']) && $pwa['splash_2388'] != null ? url('images/icons/'.$pwa['splash_2388']) : config('laravelpwa.manifest.splash.1668x2388')}}"
                                                            alt="splash_2388">
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label style="display:block;" for="">{{ __("PWA Splash Screen (2048x2732):")}} <span
                                                                    class="text-danger">*</span> </label>
                                                            <input  type="file" name="splash_2048" id="splash_2048" class="prev-img input-file">
                                                            {{-- <label for="splash_2048" class="btn btn-info js-labelFile" data-toggle="tooltip" data-original-title="Splash Screen">
                                                                <i class="icon fa fa-upload"></i>
                                                                <span class="js-fileName">{{ __("Choose a File")}}</span>
                                                            </label> --}}
                                                        </div>
                                                    </div>

                                                    <div class="col-md-2 pwa-img-block">
                                                        <img class="img-responsive"
                                                            src="{{ isset($pwa['splash_2048']) && $pwa['splash_2048'] != null ? url('images/icons/'.$pwa['splash_2048']) : config('laravelpwa.manifest.splash.2048x2732')}}"
                                                            alt="splash_2048">
                                                    </div>
                                                </div>
                                                <p></p>
                                                <div class="form-group">
                                                    <button type="submit" class="pull-left btn btn-primary" title="Update Icons">
                                                        {{ __("Update Icons")}}
                                                    </button>
                                                    <br>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script src="{{ url('assets/js/pwasetting.js') }}"></script>
@endsection
