@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.sheelCard.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.sheel-cards.index')}}">{{trans('cruds.sheelCard.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.edit')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.sheel-cards.index') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.edit') }} {{ trans('cruds.sheelCard.title') }}
            </div>
            <div class="card-body">
                <form action="{{route('admin.sheel-cards.update',[$date])}}" method="post" enctype="multipart/form-data" id="shell_card_update_form">
                    @method('PUT')
                    @csrf
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="form-group small">
                                <label for="date">{{ trans('cruds.sheelCard.fields.date') }}</label>
                                <input type="text" name="date" class="form-control date {{$errors->has('date')?'is-invalid':''}}" value="{{date('d/m/Y',strtotime($date))}}" required>
                                @if($errors->has('date'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('date') }}
                                </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.sheelCard.fields.date_helper') }}</span>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="form-group small">
                                <label class="required" for="type">{{ trans('cruds.sheelCard.fields.type') }}</label>
                                <select class="form-control {{ $errors->has('type') ? 'is-invalid' : '' }}" name="type" id="type" required>
                                <option value="Shell Card 1" {{$type == 'Shell Card 1' ? 'selected' : ''}}>Shell Card 1</option>
                                <option value="Shell Card 2" {{$type == 'Shell Card 2' ? 'selected' : ''}}>Shell Card 2</option>
                                </select>
                                @if($errors->has('type'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('type') }}
                                </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.sheelCard.fields.type_helper') }}</span>
                            </div>
                        </div>
                    </div>
                    <div class="row my-2">
                        <div class="col-lg-12">
                            <table class="table table-bordered" id="field_container">
                                <thead>
                                    <th>{{ trans('cruds.sheelCard.fields.ticket_no') }}</th>
                                    <th>{{ trans('cruds.sheelCard.fields.card_no') }}</th>
                                    @foreach ($fuel as $val)
                                        <th>{{$val}}</th>
                                    @endforeach
                                </thead>
                                <tbody>
                                    @foreach ($sheel_card as $key1 => $sc)
                                        <tr>
                                            <td>
                                                <div class="form-group small">
                                                    <input type="text" name="ticket_no[{{$sc->id}}]" class="form-control" value="{{$sc->ticket_no}}" required>
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group small">
                                                    <input type="text" name="card_no[{{$sc->id}}]" class="form-control" value="{{$sc->card_no}}" required>
                                                </div>
                                            </td>
                                            @foreach ($fuel as $key => $val)
                                                <td>
                                                    @php
                                                        $c = 0;
                                                    @endphp
                                                    @foreach ($sc->sub_shell_card as $sub_sc)
                                                        @if ($key == $sub_sc->fuel_id && $sub_sc->quantity != null)
                                                            <div class="form-group small">
                                                                <input type="text" name="fuel[{{$sc->id}}][{{$key}}]" class="form-control" value="{{$sub_sc->quantity}}">
                                                            </div>
                                                            @php
                                                                $c++;
                                                            @endphp
                                                        @endif
                                                    @endforeach
                                                    @if($c == 0)
                                                        <div class="form-group small">
                                                            <input type="text" name="fuel[{{$sc->id}}][{{$key}}]" class="form-control">
                                                        </div>
                                                    @endif
                                                </td>
                                            @endforeach
                                            <td>
                                                @if($key1 != 0)
                                                @can('sheel_card_delete')
                                                    <a href="#" data-id="{{$sc->id}}" class="btn btn-xs btn-danger remove_ele"> <i class="la la-trash"></i> </a>
                                                @endcan
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                        <tr class="clone_ele d-none">
                                            <td>
                                                <div class="form-group small">
                                                    <input type="text" disabled name="ticket_no_new[0]" class="form-control">
                                                </div>
                                            </td>
                                            <td>
                                                <div class="form-group small">
                                                    <input type="text" disabled name="card_no_new[0]" class="form-control">
                                                </div>
                                            </td>
                                            @foreach ($fuel as $key => $value)
                                                <td>
                                                    <div class="form-group small">
                                                        <input type="text" name="fuel_new[0][{{$key}}]" class="form-control">
                                                    </div>
                                                </td>
                                            @endforeach
                                            <td><a href="#" class="btn btn-xs btn-danger d-none" id="remove"><i class="fa fa-trash"></i></a></td>
                                        </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row my-3">
                        <div class="col-lg-12 text-center">
                            <button class="btn btn-block btn-light" id="add_row">Add Row</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <button type="submit" class="btn btn-primary">{{ trans('global.save') }}</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
@section('scripts')
    <script>
        $(document).ready(function () {
            var max = 15;
           var x=0;

            $('#add_row').click(function (e) {
                e.preventDefault();
                if(x < max)
                {
                    x++;
                    var clone_ele = $('.clone_ele:last').clone();
                    clone_ele.removeClass('d-none');
                    clone_ele.find('#remove').removeClass('d-none');
                    clone_ele.find(':input').each(function(){
                        this.removeAttribute("disabled");
                        this.value = '';
                        this.name = this.name.replace(/\[[0-9]\]+/, '[' + x + ']');
                    });
                    clone_ele.appendTo('#field_container');
                }
            });

            // For remove new added row
            $('#field_container').on('click','#remove', function () {
                this.closest('tr').remove();
            });

            //  For delete the existing record
            $('#field_container').on('click','.remove_ele', function (ele) {
                var id = $(this).attr('data-id');
                var cus_url = "{{route('admin.sheel-cards.destroy.destroyEdit',":id")}}";
                cus_url = cus_url.replace(':id',id);
                var _token = '{{csrf_token()}}';

                if (confirm('{{ trans('global.areYouSure') }}')) {
                    $.ajax({
                        headers: {'x-csrf-token': _token},
                        method: 'POST',
                        url: cus_url,
                        data: { id: id, _method: 'DELETE' },
                        success: function (response) {
                            toastr.error(response.message);
                        }
                    });
                    $(this).closest('tr').remove();
                }
            });

            $('#shell_card_update_form').on("submit",function (e) {
                e.preventDefault();
               $.ajax({
                   type: this.method,
                   url: this.action,
                   data:new FormData(this),
                   dataType:'JSON',
                   contentType: false,
                   cache: false,
                   processData: false,
                   beforeSend: function(response){
                   },
                   success: function (response) {
                    if (response.success) {
                        toastr.success(response.message);
                        document.getElementById('shell_card_update_form').reset();
                        setTimeout(function(){
                            window.location = response.url;
                        },1000);
                    }
                   },
                   error: function(response){
                        $.each(response.responseJSON.errors, function (index, value) {
                            toastr.error(value);
                        });
                        window.scroll(top);
                    }
               });

            });
        });
    </script>
@endsection
