@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.shiftNo.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        @if (isset($shift))
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a>
                        </li>
                        <li class="breadcrumb-item"><a
                                href="{{route('admin.shift-nos.index')}}">{{trans('cruds.shiftNo.title')}}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.edit')}}</li>
                        @else
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a>
                        </li>
                        <li class="breadcrumb-item active">{{trans('cruds.shiftNo.title')}}</li>
                        @endif
                    </ul>
                </div>
                @if(isset($shift))
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.shift-nos.index') }}" class="btn add-btn"> <i
                            class="la la-arrow-left"></i>{{ trans('global.back') }}</a>
                </div>
                @else
                {{-- <div class="col-auto float-right ml-auto">
                    <a href="" class="btn add-btn"> <i class="fa fa-plus"></i>{{ trans('global.add')}}
                        {{trans('cruds.shiftNo.title_singular')}}</a>
                </div> --}}
                @endif
            </div>
        </div>
        @can(['shift_no_create','shift_no_edit'])
            <div class="card">
                <div class="card-header">
                    @if (isset($shift))
                    {{ trans('global.edit') }} {{ trans('cruds.shiftNo.title_singular') }}
                    @else
                    {{ trans('global.add') }} {{ trans('cruds.shiftNo.title_singular') }}
                    @endif
                    {{-- <span style="float: right;">
                        <a href="#" class="text-danger"><i class="fa fa-close"></i></a>
                    </span> --}}
                </div>
                <div class="card-body">
                    @if (isset($shift))
                    <form action="{{route('admin.shift-nos.update',[$shift->id])}}" method="POST" enctype="multipart/form-data">
                    @method('PUT')
                    @else
                    <form action="{{route('admin.shift-nos.store')}}" method="post" enctype="multipart/form-data">
                    @endif
                    @csrf
                    <div class="row">
                        <div class="col-lg-4">
                            <div class="form-group">
                                <label class="required"
                                    for="title">{{ trans('cruds.shiftNo.fields.title') }}</label>
                                <input class="form-control {{ $errors->has('title') ? 'is-invalid' : '' }}"
                                    type="text" name="title" id="title"
                                    value="{{ old('title', isset($shift)?$shift->title:'') }}" required>
                                @if($errors->has('title'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('title') }}
                                </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.shiftNo.fields.title_helper') }}</span>
                            </div>
                        </div>
                        {{-- <div class="col-lg-4">
                            <div class="form-group">
                                <label for="remarks">{{ trans('cruds.shiftNo.fields.remarks') }}</label>
                                <input class="form-control {{ $errors->has('remarks') ? 'is-invalid' : '' }}"
                                    type="text" name="remarks" id="remarks"
                                    value="{{ old('remarks', isset($shift)?$shift->remarks:'') }}">
                                @if($errors->has('remarks'))
                                <div class="invalid-feedback">
                                    {{ $errors->first('remarks') }}
                                </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.shiftNo.fields.remarks_helper') }}</span>
                            </div>
                        </div> --}}
                        <div class="col-lg-4 custom-switch">
                            <div class="form-group">
                                <br>
                                <label class="custom-switch">
                                    <input id="status" type="checkbox"
                                        {{isset($shift) && $shift->status != 0 ? 'checked' : ''}} value="1" name="status"
                                        class="custom-control-input">
                                    <label class="custom-control-label" for="status">
                                        {{ trans('cruds.shiftNo.fields.status') }}</label>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            @if (isset($shift))
                            <button class="btn btn-primary" type="submit">{{ trans('global.update') }}</button>
                            @else
                            <button class="btn btn-info" type="reset">{{ trans('global.reset') }}</button>
                            <button class="btn btn-primary" type="submit">{{ trans('global.add') }}</button>
                            @endif
                        </div>
                    </div>
                </div>
                </form>
            </div>
        @endcan

        <div class="card">
            <div class="card-header">
                {{ trans('global.list') }} {{ trans('cruds.shiftNo.title_singular') }}
            </div>
            <div class="card-body">
                <table class="table table-bordered datatable datatable-shift">
                    <thead>
                        <tr>
                            <th style="width: 10px;"></th>
                            <th>
                                {{__('ID')}}
                            </th>
                            <th>
                                {{ trans('cruds.shiftNo.fields.title') }}
                            </th>
                            {{-- <th>
                                {{ trans('cruds.shiftNo.fields.remarks') }}
                            </th> --}}
                            <th>
                                {{ trans('cruds.shiftNo.fields.status') }}
                            </th>
                            <th></th>
                        </tr>
                    </thead>
                    @if (count($shift_list) == 0)
                    <tr>
                        <td colspan="3" style="text-align: center;">
                            <span>Records not found</span>
                        </td>
                    </tr>
                    @else
                    @php
                        $i = 1;
                    @endphp
                    <tbody>
                        @foreach ($shift_list as $sl)
                            <tr data-entry-id="{{$sl->id}}">
                                <td></td>
                                <td>
                                    {{$i}}
                                </td>
                                <td>
                                    {{$sl->title}}
                                </td>
                                {{-- <td>
                                    {{$sl->remarks}}
                                </td> --}}
                                <td>
                                    {!!$sl->status == 1 ? '<span class="badge bg-inverse-success">Active</span>' : '<span class="badge bg-inverse-danger">Inactive</span>'!!}
                                </td>
                                <td>
                                    <div class="button-list">
                                        @can('shift_no_edit')
                                            <a href="{{route('admin.shift-nos.edit', $sl->id)}}" class="btn btn-xs btn-info"><i
                                                    class="la la-edit"></i></a>
                                        @endcan
                                        @can('shift_no_delete')
                                            <button type="button" class="btn btn-xs btn-danger" data-toggle="modal"
                                                data-target="#deleteModal{{$sl->id}}"><i class="la la-trash"></i></button>
                                        @endcan
                                        <!-- Modal -->
                                        <div id="deleteModal{{$sl->id}}" class="delete-modal modal fade" role="dialog">
                                            <div class="modal-dialog modal-sm">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close"
                                                            data-dismiss="modal">&times;</button>
                                                        <div class="delete-icon"></div>
                                                    </div>
                                                    <div class="modal-body text-center">
                                                        <h4 class="modal-heading">Are You Sure ?</h4>
                                                        <p>Do you really want to delete these records?<br> This process cannot
                                                            be
                                                            undone.</p>
                                                    </div>
                                                    <div class="modal-footer">
                                                        {!! Form::open(['method' => 'DELETE', 'route' =>
                                                        ['admin.shift-nos.destroy',$sl->id]]) !!}
                                                        <button type="reset" class="btn btn-dark"
                                                            data-dismiss="modal">No</button>
                                                        <button type="submit" class="btn btn-danger">Yes</button>
                                                        {!! Form::close() !!}
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                @php
                                    $i++;
                                @endphp
                            </tr>
                        @endforeach
                    </tbody>
                    @endif

                </table>
            </div>
        </div>
    </div>
</div>
@endsection
@section('scripts')
    <script>
        $(function () {
            let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
            @can('shift_no_delete')
            let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
            let deleteButton = {
                text: deleteButtonTrans,
                url: "{{ route('admin.shift-nos.massDestroy') }}",
                className: 'bg-inverse-danger',
                action: function (e, dt, node, config) {
                var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
                    return $(entry).data('entry-id')
                });

                if (ids.length === 0) {
                    alert('{{ trans('global.datatables.zero_selected') }}')

                    return
                }

                if (confirm('{{ trans('global.areYouSure') }}')) {
                    $.ajax({
                    headers: {'x-csrf-token': _token},
                    method: 'POST',
                    url: config.url,
                    data: { ids: ids, _method: 'DELETE' }})
                    .done(function () { location.reload() })
                }
                }
            }
            dtButtons.push(deleteButton)
            @endcan

            $.extend(true, $.fn.dataTable.defaults, {
                orderCellsTop: true,
                order: [[ 1, 'desc' ]],
                pageLength: 100,
            });
            let table = $('.datatable-shift').DataTable({ buttons: dtButtons })
            $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
                $($.fn.dataTable.tables(true)).DataTable()
                    .columns.adjust();
            });
            $('div#sidebar').on('transitionend', function(e) {
                $($.fn.dataTable.tables(true)).DataTable().columns.adjust();
            })

        })
    </script>
@endsection
