@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.speedPoint.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.speed-points.index')}}">{{trans('cruds.speedPoint.title') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('global.show')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.speedPoint.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <label>Date : {{date('d/m/Y',strtotime($date))}}</label>
                </div>
                <div class="form-group">
                    <table class="table table-bordered">
                        <thead>
                            <th>
                                {{ trans('cruds.speedPoint.fields.reconcilation_type') }}
                            </th>
                            <th>
                                {{ trans('cruds.speedPoint.fields.date') }}
                            </th>
                            <th>
                                {{ trans('cruds.speedPoint.fields.batch_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.speedPoint.fields.shift_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.speedPoint.fields.seq_no') }}
                            </th>
                            <th>
                                {{ trans('cruds.speedPoint.fields.amount') }}
                            </th>
                            <th>
                                {{ trans('cruds.speedPoint.fields.bank_account') }}
                            </th>
                        </thead>
                        <tbody>
                            @if (count($speedPoint) == 0)
                                <tr>
                                    <td colspan="3">Record not available</td>
                                </tr>
                            @endif
                            @php
                                $total = $speedPoint->sum('amount');
                            @endphp
                            @foreach ($speedPoint as $sp )
                                <tr>
                                    <td>{{isset($sp->machine) ? $sp->machine->title : ''}}</td>
                                    <td>{{$sp->date}}</td>
                                    <td>{{$sp->batch_no}}</td>
                                    <td>{{isset($sp->shift) ? $sp->shift->title : ''}}</td>
                                    <td>{{$sp->seq_no}}</td>
                                    <td>{{$sp->amount}}</td>
                                    <td>{{$sp->bankAccount->title ?? ''}}</td>
                                </tr>
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr class="highlight">
                                <td colspan="5">Day Total</td>
                                <td colspan="2">{{$total}}</td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
                <div class="form-group">
                    <a href="{{route('admin.speed-points.index')}}" class="btn add-btn"><i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
    </div>
</div>



@endsection
