@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('global.my_profile')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        {{-- <li class="breadcrumb-item"><a href="{{route('admin.users.index')}}">{{trans('cruds.user.title') }}</a></li> --}}
                        <li class="breadcrumb-item active">{{trans('global.my_profile')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.home') }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="profile-view">
                            <div class="profile-img-wrap">
                                <div class="profile-img">
                                    <a href="#"><img alt="" src="{{$user->profile_pic ? asset('images/users/'.$user->profile_pic) :asset('img/profiles/avatar-02.jpg')}}"></a>
                                </div>
                            </div>
                            <div class="profile-basic">
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="profile-info-left">
                                            <h3 class="user-name m-t-0 mb-0">{{ucfirst($user->name)}}</h3>
                                            {{-- <h6 class="text-muted">UI/UX Design Team</h6> --}}
                                            {{-- <small class="text-muted">Web Designer</small> --}}
                                            {{-- <div class="staff-id">Employee ID : FT-0001</div> --}}
                                            {{-- <div class="small doj text-muted">Date of Join : 1st Jan 2013</div> --}}
                                            <div class="staff-msg"><a class="btn btn-custom" href="{{route('admin.messenger.createTopic')}}">Send Message</a></div>
                                        </div>
                                    </div>
                                    <div class="col-md-7">
                                        <ul class="personal-info">
                                            <li>
                                                <div class="title">Phone:</div>
                                                <div class="text"><a href="">{!!$user->phone?? '<br>'!!}</a></div>
                                            </li>
                                            <li>
                                                <div class="title">Email:</div>
                                                <div class="text"><a href="">{{$user->email}}</a></div>
                                            </li>
                                            <li>
                                                <div class="title">Birthday:</div>
                                                <div class="text">{{$user->dob ? date('d-M-Y',strtotime($user->dob)) : ''}}</div>
                                            </li>
                                            <li>
                                                <div class="title">Address:</div>
                                                <div class="text">{!!ucfirst($user->address)?? '<br>'!!}, {{$user->city_id}}, {{$user->state_id}}, {{$user->country}}</div>
                                            </li>
                                            <li>
                                                <div class="title">Gender:</div>
                                                <div class="text">{{ucfirst($user->gender)}}</div>
                                            </li>
                                            {{-- <li>
                                                <div class="title">Reports to:</div>
                                                <div class="text">
                                                   <div class="avatar-box">
                                                      <div class="avatar avatar-xs">
                                                         <img src="img/profiles/avatar-16.jpg" alt="">
                                                      </div>
                                                   </div>
                                                   <a href="profile">
                                                        Jeffery Lalor
                                                    </a>
                                                </div>
                                            </li> --}}
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div class="pro-edit"><a class="edit-icon" href="{{route('profile.password.edit')}}"><i class="fa fa-pencil"></i></a></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        {{-- <div class="card">
            <div class="card-header">
                {{ trans('global.show') }} {{ trans('cruds.user.title') }}
            </div>

            <div class="card-body">
                <div class="form-group">
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.users.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                    <table class="table table-bordered">
                        <tbody>
                            <tr>
                                <th>
                                    {{ trans('cruds.user.fields.id') }}
                                </th>
                                <td>
                                    {{ $user->id }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.user.fields.name') }}
                                </th>
                                <td>
                                    {{ $user->name }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.user.fields.email') }}
                                </th>
                                <td>
                                    {{ $user->email }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.user.fields.email_verified_at') }}
                                </th>
                                <td>
                                    {{ $user->email_verified_at }}
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.user.fields.approved') }}
                                </th>
                                <td>
                                    <input type="checkbox" disabled="disabled" {{ $user->approved ? 'checked' : '' }}>
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    {{ trans('cruds.user.fields.roles') }}
                                </th>
                                <td>
                                    @foreach($user->roles as $key => $roles)
                                        <span class="label label-info">{{ $roles->title }}</span>
                                    @endforeach
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="form-group">
                        <a class="btn btn-default" href="{{ route('admin.users.index') }}">
                            {{ trans('global.back_to_list') }}
                        </a>
                    </div>
                </div>
            </div>
        </div> --}}
        <div class="card">
            <div class="card-header">
                {{ trans('global.relatedData') }}
            </div>
            <div class="card-body">
                @includeIf('admin.users.relationships.userUserAlerts', ['userAlerts' => $user->userUserAlerts])
            </div>
            {{-- <ul class="nav nav-tabs" role="tablist" id="relationship-tabs">
                <li class="nav-item">
                    <a class="nav-link" href="#user_user_alerts" role="tab" data-toggle="tab">
                        {{ trans('cruds.userAlert.title') }}
                    </a>
                </li>
            </ul>
            <div class="tab-content">
                <div class="tab-pane m-5" role="tabpanel" id="user_user_alerts">
                    @includeIf('admin.users.relationships.userUserAlerts', ['userAlerts' => $user->userUserAlerts])
                </div>
            </div> --}}
        </div>
    </div>
</div>
@endsection
