@extends('layouts.admin')
@section('content')
<div class="page-wrapper">
    <div class="content container-fluid">
        <div class="page-header">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="page-title">{{trans('cruds.user.title_singular')}}</h3>
                    <ul class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('admin.home')}}">{{trans('global.dashboard') }}</a></li>
                        <li class="breadcrumb-item"><a href="{{route('admin.users.show',[$user->id])}}">{{trans('global.my_profile') }}</a></li>
                        <li class="breadcrumb-item active">{{trans('edit')}}</li>
                    </ul>
                </div>
                <div class="col-auto float-right ml-auto">
                    <a href="{{ route('admin.users.show',[$user->id]) }}" class="btn add-btn"> <i class="la la-arrow-left"></i> {{ trans('global.back') }}</a>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="profile-view">
                                    <div class="profile-img-wrap">
                                        <div class="profile-img">
                                            <a href="#"><img alt="" src="{{$user->profile_pic ? asset('images/users/'.$user->profile_pic) :'http://localhost/theme/test/public/img/profiles/avatar-02.jpg'}}"></a>
                                        </div>
                                    </div>
                                    <div class="profile-basic">
                                        <div class="row">
                                            <div class="col-md-5">
                                                <div class="profile-info-left">
                                                    <h3 class="user-name m-t-0 mb-0">{{ucfirst($user->name)}}</h3>
                                                    {{-- <h6 class="text-muted">UI/UX Design Team</h6> --}}
                                                    {{-- <small class="text-muted">Web Designer</small> --}}
                                                    {{-- <div class="staff-id">Employee ID : FT-0001</div> --}}
                                                    {{-- <div class="small doj text-muted">Date of Join : 1st Jan 2013</div> --}}
                                                    <div class="staff-msg"><a class="btn btn-custom" href="{{route('admin.messenger.createTopic')}}">Send Message</a></div>
                                                </div>
                                            </div>
                                            <div class="col-md-7">
                                                <ul class="personal-info">
                                                    <li>
                                                        <div class="title">Phone:</div>
                                                        <div class="text"><a href="">{!!$user->phone?? '<br>' !!}</a></div>
                                                    </li>
                                                    <li>
                                                        <div class="title">Email:</div>
                                                        <div class="text"><a href="">{{$user->email}}</a></div>
                                                    </li>
                                                    <li>
                                                        <div class="title">Birthday:</div>
                                                        <div class="text">{{date('d-M-Y',strtotime($user->dob))}}</div>
                                                    </li>
                                                    <li>
                                                        <div class="title">Address:</div>
                                                        <div class="text">{{ucfirst($user->address)}}, {{$user->city->name ?? ''}}, {{$user->state->name ?? ''}}, {{$user->country}}</div>
                                                    </li>
                                                    <li>
                                                        <div class="title">Gender:</div>
                                                        <div class="text">{{ucfirst($user->gender)}}</div>
                                                    </li>
                                                    {{-- <li>
                                                        <div class="title">Reports to:</div>
                                                        <div class="text">
                                                           <div class="avatar-box">
                                                              <div class="avatar avatar-xs">
                                                                 <img src="img/profiles/avatar-16.jpg" alt="">
                                                              </div>
                                                           </div>
                                                           <a href="profile">
                                                                Jeffery Lalor
                                                            </a>
                                                        </div>
                                                    </li> --}}
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                    {{-- <div class="pro-edit"><a class="edit-icon" href="{{route('profile.password.edit')}}"><i class="fa fa-pencil"></i></a></div> --}}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header">
                        {{ trans('global.my_profile') }}
                    </div>

                    <div class="card-body">
                        <form method="POST" action="{{ route("profile.password.updateProfile") }}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-group">
                                <label class="required" for="name">{{ trans('cruds.user.fields.name') }}</label>
                                <input class="form-control {{ $errors->has('name') ? 'is-invalid' : '' }}" type="text" name="name" id="name" value="{{ old('name', auth()->user()->name) }}" required>
                                @if($errors->has('name'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('name') }}
                                    </div>
                                @endif
                            </div>

                            <div class="form-group">
                                <label class="required" for="phone">{{ trans('cruds.user.fields.phone') }}</label>
                                <input class="form-control {{ $errors->has('phone') ? 'is-invalid' : '' }}" type="text" maxlength="10" name="phone" id="phone" value="{{ old('phone', $user->phone) }}" >
                                @if($errors->has('phone'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('phone') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.user.fields.phone_helper') }}</span>
                            </div>

                            <div class="form-group">
                                <label class="required" for="email">{{ trans('cruds.user.fields.email') }}</label>
                                <input class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}" type="email" name="email" id="email" value="{{ old('email', $user->email) }}" required>
                                @if($errors->has('email'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('email') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.user.fields.email_helper') }}</span>
                            </div>

                            <div class="form-group">
                                <label class="required" for="dob">{{ trans('cruds.user.fields.dob') }}</label>
                                <input class="form-control floating datetimepicker {{ $errors->has('dob') ? 'is-invalid' : '' }}" type="text" name="dob" id="dob" value="{{ old('dob',date('d/m/Y',strtotime($user->dob))) }}">
                                @if($errors->has('dob'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('dob') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.user.fields.dob_helper') }}</span>
                            </div>

                            <div class="form-group">
                                <label for="gender">{{ trans('cruds.user.fields.gender') }}</label>
                                <select name="gender" id="gender" class="form-control">
                                    <option value="male" {{$user->gender == 'male' ? 'selected' : ''}}>{{__('Male')}}</option>
                                    <option value="female" {{$user->gender == 'female' ? 'selected' : ''}}>{{__('Female')}}</option>
                                    <option value="other" {{$user->gender == 'other' ? 'selected' : ''}}>{{__('Other')}}</option>
                                </select>
                            </div>

                            <div class="form-group">
                                <label class="required" for="address">{{ trans('cruds.user.fields.address') }}</label>
                                <input class="form-control {{ $errors->has('address') ? 'is-invalid' : '' }}" type="text" name="address" id="address" value="{{ old('address', $user->address) }}">
                                @if($errors->has('address'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('address') }}
                                    </div>
                                @endif
                                <span class="help-block">{{ trans('cruds.user.fields.address_helper') }}</span>
                            </div>

                            <div class="form-group">
                                <label for="profile_pic">{{ trans('cruds.user.fields.profile_pic') }}</label>
                                <input type="file" name="profile_pic" id="profile_pic" class="form-control">
                            </div>
                            <div class="form-group">
                                <button class="btn btn-primary" title="Save" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header">
                        {{ trans('global.change_password') }}
                    </div>

                    <div class="card-body">
                        <form method="POST" action="{{ route("profile.password.update") }}">
                            @csrf
                            <div class="form-group">
                                <label class="required" for="title">New {{ trans('cruds.user.fields.password') }}</label>
                                <input class="form-control {{ $errors->has('password') ? 'is-invalid' : '' }}" type="password" name="password" id="password" required>
                                @if($errors->has('password'))
                                    <div class="invalid-feedback">
                                        {{ $errors->first('password') }}
                                    </div>
                                @endif
                            </div>
                            <div class="form-group">
                                <label class="required" for="title">Repeat New {{ trans('cruds.user.fields.password') }}</label>
                                <input class="form-control" type="password" name="password_confirmation" id="password_confirmation" required>
                            </div>
                            <div class="form-group">
                                <button class="btn btn-primary" title="Save" type="submit">
                                    {{ trans('global.save') }}
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="card">
                    <div class="card-header">
                        {{ trans('global.delete_account') }}
                    </div>

                    <div class="card-body">
                        <form method="POST" action="{{ route("profile.password.destroyProfile") }}" onsubmit="return prompt('{{ __('global.delete_account_warning') }}') == '{{ auth()->user()->email }}'">
                            @csrf
                            <div class="form-group">
                                <button class="btn btn-danger" title="Delete" type="submit">
                                    {{ trans('global.delete') }}
                                    {{-- <i class="la la-trash"></i> --}}
                                </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
